Loading...
Searching...
No Matches
etl::imulti_range Class Referenceabstract

The base class for multi_range. More...

`#include <multi_range.h>`

## Public Member Functions

imulti_range & | insert (imulti_range &inner_range)
| Insert after this range.
imulti_range & | append (imulti_range &inner_range)
| Append to the most inner range.
void | detach ()
| Unlinks this range from its inner.
void | detach_all ()
| Unlinks this and all inner ranges.
bool | completed () const
size_t | number_of_ranges () const
| Gets the total number of ranges, from this range inclusive.
size_t | number_of_iterations ()
virtual void | next ()=0
| Pure virtual functions.
virtual void | start ()=0

## Protected Member Functions

| imulti_range ()
| Constructor.
bool | is_valid (imulti_range &inner_range)
| Checks that there are no circular references.
void | set_last (imulti_range *next)
| Set the inner range of the last linked range.

## Protected Attributes

bool | has_completed
imulti_range * | inner

## Detailed Description

The base class for multi_range.

## Member Function Documentation

## next()

virtual void etl::imulti_range::next | ( |  | ) |

pure virtual

Pure virtual functions.

Implemented in etl::multi_range< T >.

## number_of_iterations()

size_t etl::imulti_range::number_of_iterations | ( |  | ) |

inline

Gets the total number of iterations over all ranges, from this range inclusive.

## start()

virtual void etl::imulti_range::start | ( |  | ) |

pure virtual

Implemented in etl::multi_range< T >.

The documentation for this class was generated from the following file:

- include/etl/multi_range.h